//variable
$main-font : Arial, Helvetica, sans-serif;
$main-menu-font: 'Montserrat', sans-serif;

$main-color: #5b3f87;
$bg-color: #9fc2c9;
$main-text-color: #ffffff;
$default-color: #000000;
$form-color: #eacbe5;

//Default

body{
  font-family: $main-menu-font;
  color: $main-color;
}


.scroll-to-top{
  &:focus{
    color: $main-color;
  }
  &:hover{
    color: $main-color;
  }
}
//content
#header{
  .header-body {
    background-color: $main-color;
    border-top:0;
  }
  .open-menu-mobile{
    float: right;
    color: #fff;
    font-size: 18px;
  }
  ul{
    li{
      a{
        color: $main-text-color;
        text-decoration: none;
        position: relative;
        padding: 0 20px;
        padding-right: 30px;
        text-transform: uppercase;
        &:hover{
          color: #000;
        }
        &:after{
          content:'';
          border: 1px solid transparent;
          width: 10px;
          height: 10px;
          position: absolute;
          top: 50%;
          right: 0;
          transform: translate(0,-50%);
          background-color: $main-text-color;
        }
      }
    }
    li:last-child{
      a:after{
        display: none;
      }
    }
  }
  .header-logo{
    .logo{margin: 0;}
    //margin-left: 70px;
    //margin-top: 25px;
  }
}

.insurance-page{
  #banner{
    margin-bottom: 85px;

    .owl-carousel{
      margin-bottom: 0;
      .owl-dots{
        position: absolute;
        bottom: -13px;
        left: 50%;
        transform: translateX(-50%);
        .owl-dot{
          &:hover {
            span {
              background-color: $main-color;
            }
          }
          span{
            border-radius: unset;
            width: 72px;
            height: 11px;
            border: 2px solid #fff;
            background-color: $main-text-color;
          }
        }
        .owl-dot.active{
          span{
            background-color: $main-color;
          }
        }
      }
    }
    .wrap-banner-top{
      padding-bottom: 265px;
      background-size: cover;
      @media (max-width: 767px){
        padding-bottom: 100px
      }
      .wrap-banner-content{
        padding-top: 200px ;
        margin-left: 230px;
        width: 830px;
        p{
          font-size: 36px;
          font-weight: 700;
          color: $main-text-color;
          line-height: 1.333;
          text-align: left;
          margin-bottom: 60px;
        }
        a{
          text-decoration: none;
          color: $main-text-color;
          font-weight: 700;
          border: 1px solid transparent;
          padding: 15px 25px;
          padding-left: 75px;
          background: linear-gradient(to bottom, rgb(255,203,146) 0%, rgb(255,156,1) 100%);
          position: relative;
          font-size: 22px;
          border-radius: 3px;
          box-shadow: 3.709px 5.936px 7px 0px rgba(0, 0, 0, 0.22);

          &:before{
            content: "";
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            left: 30px;
            width: 35px;
            height: 2px;
            background-color: $main-text-color;
          }
          @media (max-width: 767px){
            font-size: 15px;
          }
        }
        @media (max-width: 1070px){
          margin-left: 15px;
          max-width: 100%;
          width: unset;
        }
        @media (max-width: 767px){
          padding-top: 50px
        }
      }
    }
  }
  #get-free-quote{
    margin-bottom: 130px;
    .wrap-get-free-quote{
      //padding-left: 70px;
    }
    .gft-title{
      @media (max-width: 767px){
        text-align: center;
      }
      p{
        color: $main-color;
        font-size: 36px;
        line-height: 1.333;
        font-weight: 500;
        &:first-child{
          margin-bottom: 0;
          font-size: 32px;
          font-weight: 300;
        }
        @media (max-width: 767px){
          font-size: 25px;
          &:first-child{
            font-size: 25px;
          }
        }
      }
    }
    .gft-content{
      p{
        font-size: 18px;
        color: $default-color;
        line-height: 1.444;
        margin-bottom: 60px;
        font-weight: 300;
        @media (max-width: 767px){
          font-size: 13px;
        }
      }
      ul{
        padding: 0;
        li{
          list-style: none;
          width: 50%;
          display: inline-block;
          @media (min-width: 768px) and (max-width: 1259px){
            width: 100%;
          }
          @media (max-width: 435px){
            width: 100%;
            padding-bottom: 15px;
          }
        }
        a{
          color: $main-color;
          font-size: 24px;
          line-height: 2.308;
          font-weight: 300;
          vertical-align: middle;
          &:hover{
            text-decoration: underline;
            font-weight: 500;
            color: $main-color;
            }
          &:before{
            content: '';
            background-image: url("../images/security-icon.png");
            vertical-align: middle;
            display: inline-block;
            width: 30px;
            height: 30px;
            background-repeat: no-repeat;
            margin-right: 15px;
          }
          @media (max-width: 767px){
            font-size: 20px;
          }
          @media (max-width: 525px){
            font-size: 16px;
          }
        }
      }

    }
    .gft-form{
      margin-bottom: 5px;
      input,textarea,select{
        &:focus{
          border-color: $form-color;
        }
      }
      input{
        height: 60px;
      }
      select{
        appearance: none;
        position: relative;
        background: url("../images/arrow-down.png") 96% / 3% no-repeat;
        height: 60px ;
      }
    }
    .gft-submit-btn{
      button[type="submit"]{
        text-decoration: none;
        color: $main-text-color;
        font-weight: 700;
        border: 1px solid transparent;
        padding: 15px 25px;
        padding-left: 75px;
        background-color: $main-color;
        position: relative;
        font-size: 22px;
        border-radius: 3px;

        &:before {
          content: "";
          position: absolute;
          top: 50%;
          transform: translateY(-50%);
          left: 30px;
          width: 35px;
          height: 2px;
          background-color: $main-text-color;
        }
        @media (max-width: 767px){
          font-size: 15px;
        }
      }
    }
  }
  #about-us{
    background-color: $bg-color;
    margin-bottom: 90px;
    .row-height {
      @media (min-width: 1200px) {

        height: 100%;
      }
    }
    p{
      color: $main-text-color;
    }
    .no-padding{
      padding: 0;
    }
    .wrap-left-block{
      background-position: center;
      height: 100%;
      background-size: cover;
      .left-content{
        @media (min-width: 1200px){
          padding-top: 100px;
        }
        @media (max-width: 1199px){
          padding: 50px 15px;
          text-align: center;
        }
          p{
            font-size: 18px;
            line-height: 1.444;
            padding-left: 225px;
            padding-right:15px;
            @media (max-width: 1199px){
                padding-left: 0;
              margin: 10px 0;
            }
          }
      }

      .border-block{
        height: 100%;
        border: 25px solid $main-text-color;
        p{
          font-size: 45px;
          font-weight: bold;
          line-height: 1.2;
          padding: 40px 15px;
          margin: 0;
          @media (min-width: 1221px) and (max-width: 1460px){
            font-size: 35px;
        }
          @media (max-width: 1220px){
            font-size: 30px;
          }
        }
      }
    }
    .wrap-right-block{
      margin-left: 45px;
      @media (max-width: 1199px){
        padding: 0 15px;
        margin-left: 0;
      }
      .right-block-content{
        padding-top: 85px;
        margin-bottom: 115px;
      }
      .right-block-submit-btn{
        padding-bottom: 100px;
        a{
          text-decoration: none;
          color: $default-color;
          font-weight: 700;
          border: 1px solid transparent;
          padding: 18px 20px;
          padding-left: 65px;
          background-color: $main-text-color;
          position: relative;
          font-size: 14px;
          border-radius: 3px;
          &:before {
            content: "";
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            left: 25px;
            width: 35px;
            height: 2px;
            background-color: $default-color;
          }
          @media (max-width: 767px){
            font-size: 15px;
          }
        }
      }
    }
  }
  #important-article{
    margin-bottom: 75px;
    .wrap-article-slide-title{
      //padding-left: 80px;
      @media (max-width: 767px){
        text-align: center;
      }
      p{
        font-size: 36px;
        color: $default-color;
        line-height: 1.333;
        &:first-child{
          margin: 0;
        }
        @media (max-width: 767px){
          font-size: 25px;
          &:first-child{
            font-size: 25px;
          }
        }
      }
    }
    .wrap-slide-article {
      border: 1px solid #EEEEEE;
      border-radius: 5px;
      box-shadow: 3.709px 5.936px 20px 0px rgba(0, 1, 1, 0.09);
    }
    .slide-image{
      img{
        @media (max-width: 767px){
          margin: auto;
          height: 350px;
          width: 185px;
        }
      }
    }
    .wrap-slide-content{
      padding-left: 15px;
      padding-right: 30px;
      @media (max-width: 767px){
        text-align: center;
      }

    }
    .article-content{
       margin-bottom: 20px;
       margin-top: 20px;
       a{
         font-size: 20px;
         color: $main-color;
         line-height: 1.2;
         text-align: left;
         font-weight: 600;
         text-decoration: none;
       }
     }
    .article-date{
      border-top: 1px solid $main-color;
      border-bottom: 1px solid $main-color;
      padding: 20px 0;
      margin-bottom: 15px;
      p{
        padding-left: 5px;
          font-size: 14px;
          color: rgba(0, 0, 0, 0.702);
          line-height: 1.714;
        font-weight: 400;
      }
    }
    .social-list{
      ul{
        padding: 0;
        li{
          display: inline-block;
          padding-right: 15px;
          a{
            color: $main-color;
            font-size: 18px;
          }
        }
      }
    }
    .owl-carousel{
      margin-bottom: 0;
      .owl-dot.active{
        vertical-align: sub;

        span{
          background-color: $main-color;
          width: 21px;
          height: 21px;

        }
      }
      .owl-dot{
        span {
          background-color: #b7b7b7;
          width: 15px;
          height: 14px;
        }
        &:hover{
          span{
            background-color: $main-color ;
          }
        }
      }
      .owl-dots{
        margin-top: 25px;
      }
    }
  }
  #get-phone-number{
    background-repeat: no-repeat;
    margin-bottom: 85px;
    background-size: cover;
    .wrap-banner-content{
      width: 100%;
      padding-top: 130px;
      padding-bottom: 40px;
      p{
        font-size: 42px;
        color: $main-text-color;
        font-weight: bold;
        line-height: 1.2;
        margin: 0;
        &:first-child{
          font-size: 62px;
          text-transform: capitalize;
        }
        &:nth-child(2){
          padding-left: 24%;
          padding-right: 20%;
          margin-bottom: 35px;
          @media (max-width: 992px) {
            padding: 0;
          }
        }
        @media (max-width: 767px){
          font-size: 25px;
          &:first-child{
            font-size: 30px;
          }
        }
      }
      .banner-btn{
        margin-top: 65px;
        margin-bottom: 50px;
        a{

          text-decoration: none;
          color: $main-text-color;
          font-weight: 700;
          border: 1px solid transparent;
          padding: 15px 75px;
          background: linear-gradient(to bottom, rgb(255,203,146) 0%, rgb(255,156,1) 100%);
          position: relative;
          font-size: 22px;
          border-radius: 3px;
          box-shadow: 3.709px 5.936px 7px 0px rgba(0, 0, 0, 0.22);
          @media (max-width: 767px){
            font-size: 15px;
          }
        }
      }
      .separator{
        width: 5px;
        height: 45px;
        border: 1px solid transparent;
        background-color: $main-text-color;
        margin: 0 auto;
        padding: 20px 0;
      }
    }
  }
  #important-quote{
    margin-bottom: 135px;
      .wrap-article-slide-title{
        margin-bottom: 70px;
        @media (max-width: 767px){
          text-align: center;
        }
        //padding-left: 85px;
          p{
            font-size: 36px;
            color: $default-color;
            line-height: 1.333;
            margin: 0;
            &:nth-child(2){
              font-weight: 600;
            }
            @media (max-width: 767px){
              font-size: 25px;
              &:first-child{
                font-size: 25px;
              }
            }
          }
      }
      .content{
        border: 1px solid #EEEEEE;
        border-radius: 5px;
        box-shadow: 3.709px 5.936px 20px 0px rgba(1, 1, 1, 0.09);
        &:before{
          content: ' ';
          vertical-align: sub;
        }
        &:after{
          content: ' ';
          vertical-align: sub;

        }
        span{
          font-size: 200px;
          color: $main-color;
          opacity: 0.7;
          display: block;
          padding-top: 150px;

        }
        p{
          color: $default-color;
          font-weight: 400;
          font-size: 18px;
          line-height: 1.556;
          text-align: center;
          &:nth-child(2){
            margin-bottom: 20px;
          }
          &:nth-child(3){
            color: $main-color;
            margin-bottom: 50px;
          }
        }
      }
      .owl-carousel{

        .owl-dot.active{
          vertical-align: sub;

          span{
            background-color: $main-color;
            width: 21px;
            height: 21px;

          }
        }
        .owl-dot{
          span {
            background-color: #b7b7b7;
            width: 15px;
            height: 14px;
          }
          &:hover{
            span{
              background-color: $main-color ;
            }
          }
        }
        .owl-dots{
          margin-top: 25px;
        }
      }
  }
}

#footer{
  background-color: $main-color;
  border-top: none;
  .wrap-address{
    p{
      margin: 0;
      font-size: 16px;
      font-family: $main-font;
      color: $main-text-color;
      line-height: 1.593;
      &:first-child{
        font-size: 20px;
      }
    }
  }
  .organization-details{
    ul{
      padding: 0;
      margin: 0;
      li{
        list-style: none;
        display: inline-block;
          a{
            color: $main-text-color;
            text-decoration: none;
            position: relative;
            padding: 0 10px;
            padding-right: 15px;
            &:hover{
              color: #000;
            }
            &:after{
              content:'';
              border: 1px solid transparent;
              width: 5px;
              height: 1px;
              position: absolute;
              top: 50%;
              right: 0;
              transform: translate(0,-50%);
              background-color: $main-text-color;
            }
        }
      }
      li:first-child{
        a{
          padding-left: 0;
        }
      }
      li:last-child{
        a:after{
          display: none;
        }
      }
    }
    p{
      color: $main-text-color;
      margin: 0;
      a{
        color: inherit;
        padding-left: 5px;
        text-decoration: underline;
        &:hover{
          text-decoration: underline;
          color: #000;
        }
      }
    }
  }
  .social-list-footer{
    ul{
      li{
        padding-bottom: 10px;

        a{
          color: $main-text-color;
          font-size: 20px;
        }
      }
    }
  }
}

//Responsive
@media (max-width: 1273px){
  #footer{
    .organization-details{
      ul{
        li{
          a{
            padding-right: 10px;
            padding-left: 5px;
          }
        }
      }
    }

  }
}
@media screen and (max-width: 1199px){
  #header{
    .wrap-menu {
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: #fff;
      z-index: 999999;
      overflow: auto;
      padding-top: 40px;
      transition: all 0.3s;
      opacity: 0;
      visibility: hidden;
      .close-menu-mobile{
        position: absolute;
        right: 15px;
        top: 20px;
        i{
          width: auto;
          height: auto;
          border: none;
          &::before{
            content: '';
            display: block;
            margin: auto;
            width: 17px;
            border-bottom: solid 2px #2e2e2e;
            transform: rotate(45deg);
          }
          &::after{
            content: '';
            display: block;
            margin: auto;
            width: 17px;
            border-bottom: solid 2px #2e2e2e;
            transform: rotate(-45deg);
            margin-top: -2px;
          }
        }
      }
      ul {
        display: block;
        li{
          display: block;
          text-align: center;
          padding: 0;
          border-top:1px solid #aaa;
          a{
            display: inline-block;
            padding: 10px;
            color: $default-color;
            &:after{
              display: none;
            }
          }

        }
      }
      &.open{
        opacity: 1;
        visibility: visible;
      }
    }
  }
  #footer{
    .mb-15{
      margin-bottom: 15px;
    }
    .social-list-footer{
      ul{
        padding: 0;
        li{
          display: inline;
          padding-right: 25px;
        }
      }
    }
  }
}
@media (min-width: 768px) and (max-width: 991px){
  #footer{
    .organization-details{
      ul{
        li:last-child{
          a{
            padding: 0;
          }
        }
      }
    }

  }
}
@media (min-width: 1200px) {
  #important-quote{
    .owl-carousel{
      .owl-item {
        opacity: 0.4;
      }
      .owl-item.center {
        width: 500px !important;
        margin-right: 10px;
        transform: scale(1.2);
        z-index: 1000;
        opacity: 1;
        background-color: #fff;

        p {
          font-size: 16px;
          padding: 0 15px;
        }
      }
    }

  }
}
@media (max-width: 480px){
  .owl-dots{
    display: none;
  }
}

/* Scroll to Top */

html {
  .scroll-to-top {
    -webkit-transition: opacity 0.3s;
    transition: opacity 0.3s;
    background: #404040;
    border-radius: 4px 4px 0 0;
    bottom: 0;
    color: #FFF;
    display: block;
    height: 9px;
    opacity: 0;
    padding: 10px 10px 35px;
    position: fixed;
    right: 10px;
    text-align: center;
    text-decoration: none;
    min-width: 50px;
    z-index: 1040;
    font-size: 0.8em;
    &:hover {
      opacity: 1;
    }
    &.visible {
      opacity: 0.75;
    }
    span {
      display: inline-block;
      padding: 0 5px;
    }
  }
  &.lightbox-opened .scroll-to-top {
    right: 27px;
  }
  &.ie11 .scroll-to-top {
    right: 25px;
  }
}

/* Responsive */
@media (max-width: 991px) {
  html .scroll-to-top.hidden-mobile {
    display: none !important;
  }
}